import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

import 'max_print_plus_platform_interface.dart';

/// An implementation of [MaxPrintPlusPlatform] that uses method channels.
class MethodChannelMaxPrintPlus extends MaxPrintPlusPlatform {
  /// The method channel used to interact with the native platform.
  @visibleForTesting
  final methodChannel = const MethodChannel('max_print_plus');

  @override
  Future<String?> getPlatformVersion() async {
    final version = await methodChannel.invokeMethod<String>('getPlatformVersion');
    return version;
  }
}
